<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMWPLISTCOSTEditViewBase from './emwplistcostedit-view-base.vue';

import view_form from '@widgets/emwplist-cost/main-form/main-form.vue';

/**
 * 询价单编辑视图
 *
 * @export
 * @class EMWPLISTCOSTEditView
 * @extends {EMWPLISTCOSTEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMWPLISTCOSTEditView extends EMWPLISTCOSTEditViewBase { }
</script>